Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.movies.media
Class TextMediaHandler

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.std.comp.ComponentIdentifier
                  |
                  +--quicktime.std.comp.Component
                        |
                        +--quicktime.std.movies.media.MediaHandler
                              |
                              +--quicktime.std.movies.media.VisualMediaHandler
                                    |
                                    +--quicktime.std.movies.media.TextMediaHandler

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class TextMediaHandler
extends VisualMediaHandler
implements quicktime.jdirect.QuickTimeLib

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Method Summary
`int` | `addTextSample(QTPointerRef text, int fontNumber, int fontSize, int textFace, QDColor textColor, QDColor backColor, int textJustification, QDRect textBox, int displayFlags, int scrollDelay, int hiliteStart, int hiliteEnd, QDColor rgbHiliteColor, int duration)` This method adds a single block of styled text to an existing media.
`FoundTextInfo` | `findNextText(QTPointerRef text, int findFlags, int startTime)` This method searches for text with a specified media handler starting at a given time.
`void` | `hiliteTextSample(int sampleTime, int hiliteStart, int hiliteEnd, QDColor hiliteColor)` This method can specify selected text to be highlighted.
`void` | `setDropShadowOffset(QDPoint offset)` This method allows you to specify the shadow offset for the text media.
`void` | `setDropShadowTranslucency(int translucency)` This method allows you to specify the translucency value for the text shadows.

Methods inherited from class quicktime.std.movies.media.VisualMediaHandler
`getGraphicsMode, getTrackOpaque, hitTestForTargetRefCon, hitTestTargetRefCon, setGraphicsMode`

Methods inherited from class quicktime.std.comp.Component
`count`

Methods inherited from class quicktime.std.comp.ComponentIdentifier
`find, find, getInfo, toString`

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### addTextSample

    public int addTextSample(QTPointerRef text,
                             int fontNumber,
                             int fontSize,
                             int textFace,
                             QDColor textColor,
                             QDColor backColor,
                             int textJustification,
                             QDRect textBox,
                             int displayFlags,
                             int scrollDelay,
                             int hiliteStart,
                             int hiliteEnd,
                             QDColor rgbHiliteColor,
                             int duration)
                      throws StdQTException

  This method adds a single block of styled text to an existing media.
  QuickTime::TextMediaAddTextSample()

  Parameters:
    `text` - Contains the text to be added.
    `fontNum` - Indicates the number for the font in which to display the text.
    `fontSize` - Indicates the size of the font.
    `textFace` - Indicates the typeface or style of the text (that is, bold, italic, and so on).
    `textColor` - Contains a pointer to an RGB color structure specifying the color of the text.
    `backColor` - Contains a pointer to an RGB color structure specifying the text background color.
    `textJustification` - Indicates the justification of the text.
    `textBox` - The box within which the text is to be displayed. The box is relative to the track bounds.
    `displayFlags` - Contains the text display flags.
    `scrollDelay` - Indicates the delay in scrolling associated with setting the dfScrollIn and dfScrollOut display flags.
    `hiliteStart` - Specifies the beginning of the text to be highlited.
    `hiliteEnd` - Specifies the end of the text to be highlighted.
    `rgbHiliteColor` - The color for highlighting.
    `duration` - Specifies how long the text sample should last. This duration is expressed in the media's time base.
  Returns:
    The actual media time at which the sample was added.

### findNextText

    public FoundTextInfo findNextText(QTPointerRef text,
                                      int findFlags,
                                      int startTime)
                               throws StdQTException

  This method searches for text with a specified media handler starting at a given time.
  QuickTime::TextMediaFindNextText()

  Parameters:
    `text` - containes the text to be searched.
    `findFlags` - Specifies the conditions of the search.
    `startTime` - Indicates the time (expressed in the movie time scale) at which to begin the search.
  Returns:
    a FoundTextInfo object

### hiliteTextSample

    public void hiliteTextSample(int sampleTime,
                                 int hiliteStart,
                                 int hiliteEnd,
                                 QDColor hiliteColor)
                          throws StdQTException

  This method can specify selected text to be highlighted.
  QuickTime::TextMediaHiliteTextSample()

  Parameters:
    `sampleTime` - Indicates a sample time (in the movie time scale) for the text to be highlighted.
    `hiliteStart` - Specifies the beginning of the text to be highlighted.
    `hiliteEnd` - Specifies the end of the text to be highlighted.
    `hiliteColor` - Contains a pointer to the RGB color for highlighting.

### setDropShadowOffset

    public void setDropShadowOffset(QDPoint offset)
                             throws StdQTException

  This method allows you to specify the shadow offset for the text media.
  QuickTime::TextMediaSetTextSampleData()

  Parameters:
    `offset` - Specifies the offset.

### setDropShadowTranslucency

    public void setDropShadowTranslucency(int translucency)
                                   throws StdQTException

  This method allows you to specify the translucency value for the text shadows.
  QuickTime::TextMediaSetTextSampleData()

  Parameters:
    `translucency` - Specifies the translucency.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD